Page MenuHomePhabricator

Upgrade Toolforge Kubernetes to latest 1.19
Closed, ResolvedPublic

Description

After the 1.18 update is complete (see subtask), update to 1.19 as soon as feasible.

Our notes: https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin/Kubernetes/Upgrading_Kubernetes
Relelase notes: https://v1-19.docs.kubernetes.io/docs/setup/release/notes/#urgent-upgrade-notes I already reviewed those and did not find anything that would be breaking our setup.

Event Timeline

Majavah triaged this task as Medium priority.Apr 16 2021, 10:48 AM
Majavah created this task.

More things from release notes:

  • Still-served features deprecated in 1.19, found from codesearch which might miss things not in operations/puppet. These will be removed in 1.22.
    • apiextensions.k8s.io/v1beta1, used by Calico and apiregistration.k8s.io/v1beta1, used by metrics-server
    • authorization.k8s.io/v1beta1: not sure, rbac.authorization.k8s.io/v1beta1 is used heavily but not sure if rbac. is deprecated when the parent domain is
  • New stable Ingress API, ingress-admission-controller needs an update, will file a separate task
  • More visibility over deprecated feature usage, kubectl will show warnings and we have prometheus metrics

Change 705972 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] aptrepo: Init thirdparty/kubeadm-k8s-1-19

https://gerrit.wikimedia.org/r/705972

Majavah moved this task from Triage to In Progress on the Toolforge board.

Change 705972 merged by Arturo Borrero Gonzalez:

[operations/puppet@production] aptrepo: Init thirdparty/kubeadm-k8s-1-19

https://gerrit.wikimedia.org/r/705972

Mentioned in SAL (#wikimedia-cloud) [2021-07-23T13:31:40Z] <majavah> upgrading toolsbeta to kubernetes 1.19, T280340

Mentioned in SAL (#wikimedia-cloud) [2021-07-26T16:37:43Z] <bstorm> removing tools-k8s-ingress-4 from active ingress nodes at the proxy T280340

Mentioned in SAL (#wikimedia-cloud) [2021-07-26T17:37:54Z] <bstorm> repooled the whole set of ingress workers after upgrades T280340